Subject: [bug#60521] [60521] Add home-dotfiles-service-type - Rebased on master

From: Feng Shu <[email-masked]>
Date: Mon, 22 Jan 2024 20:36:45 +0800

paul <[email-masked]> writes:

> Hello Feng Shu,
>
> Apologies for the delay. I fixed the bug you pointed out for symlinks and spaces in file names. Thank you for
> catching them!

I have tested symlinks like below:
 
    feng@Guix ~/geeguix/geehome/dotfiles/rime/.emacs.d$ ls -al
    drwxr-xr-x 2 feng users 4096  1月22日 20:26 ./
    drwxr-xr-x 5 feng users 4096 11月 6日 19:20 ../
    lrwxrwxrwx 1 feng users   20  1月22日 20:26 rime -> ../.config/ibus/rime

and ../.config/ibus/rime is a directory, show error:

    guix home: error: regular file expected

>
> About templating I would suggest you to use mixed-text-file or computed file from (guix gexp) and pass them
> directly to them home-files-service-type. It is possible to use it together with home-dotfiles-service-type.
>
> giacomo

--